Subject: Re: Wildflowers - Southern Ontario

From: [email-masked] (afsan)
Date: 9 Mar 1995 20:14:32 -0500

Sorry, I can't recommend a source for wildflower /mixes/ in our area, but if
you want individual plants, I recommend the Canadian Wildflower Society. 
Every winter their magazine lists available seed which has been grown or
collected by members and they hold sales twice a year which feature native
trees, bushes and wildflowers.  The spring wildflower sale is especially
good.  This year's sale is April 15 at the Civic Garden Centre, 777 Lawrence
Ave. East, North York (Toronto).  Doors open at 10:00 and it lasts several
hours as the mobs descend upon the hapless plants.
Mike

---

From: [email-masked]
Date: 8 Mar 1995 04:49:58 GMT

I'm looking for a wildflower mixture for my border garden in Southern
Ontario. Most of the commercial packages do not have species that 
are common here and I would rather find a mixture containing seeds
indegenius to this region. Any suggestions?